<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
$whitish_lite_settings = whitish_lite_get_theme_options();
/********************  Whitish Lite THEME OPTIONS ******************************************/
	$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_header_display_logo]', array(
		'capability' => 'edit_theme_options',
		'default' => $whitish_lite_settings['whitish_lite_header_display_logo'],
		'sanitize_callback' => 'whitish_lite_checkbox_integer',
		'type' => 'option',
	));
	$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_header_display_logo]', array(
		'label' => __('Display Site Logo', 'whitish-lite'),
		'priority' => 10,
		'section' => 'title_tagline',
		'type' => 'checkbox',
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_search_custom_header]', array(
		'default' => $whitish_lite_settings['whitish_lite_search_custom_header'],
		'sanitize_callback' => 'whitish_lite_checkbox_integer',
		'type' => 'option',
	));

	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_search_custom_header]', array(
		'priority'=>20,
		'label' => __('Hide Search From Top Menu', 'whitish-lite'),
		'section' => 'whitish_lite_custom_header',
		'type' => 'checkbox',
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_stick_menu]', array(
		'default' => $whitish_lite_settings['whitish_lite_stick_menu'],
		'sanitize_callback' => 'whitish_lite_checkbox_integer',
		'type' => 'option',
	));

	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_stick_menu]', array(
		'priority'=>30,
		'label' => __('Disable Sticky Menu', 'whitish-lite'),
		'section' => 'whitish_lite_custom_header',
		'type' => 'checkbox',
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_scroll]', array(
		'default' => $whitish_lite_settings['whitish_lite_scroll'],
		'sanitize_callback' => 'whitish_lite_checkbox_integer',
		'type' => 'option',
	));

	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_scroll]', array(
		'priority'=>40,
		'label' => __('Disable Goto Top Section', 'whitish-lite'),
		'section' => 'whitish_lite_custom_header',
		'type' => 'checkbox',
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_top_social_icons]', array(
		'default' => $whitish_lite_settings['whitish_lite_top_social_icons'],
		'sanitize_callback' => 'whitish_lite_checkbox_integer',
		'type' => 'option',
	));

	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_top_social_icons]', array(
		'priority'=>40,
		'label' => __('Hide Social Icons on Top', 'whitish-lite'),
		'section' => 'whitish_lite_custom_header',
		'type' => 'checkbox',
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_buttom_social_icons]', array(
		'default' => $whitish_lite_settings['whitish_lite_buttom_social_icons'],
		'sanitize_callback' => 'whitish_lite_checkbox_integer',
		'type' => 'option',
	));

	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_buttom_social_icons]', array(
		'priority'=>40,
		'label' => __('Hide Social Icons on Bottom', 'whitish-lite'),
		'section' => 'whitish_lite_custom_header',
		'type' => 'checkbox',
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_reset_all]', array(
		'default' => $whitish_lite_settings['whitish_lite_reset_all'],
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'whitish_lite_reset_alls',
		'transport' => 'postMessage',
	));

	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_reset_all]', array(
		'priority'=>50,
		'label' => __('Reset all default settings. (Refresh it to view the effect)', 'whitish-lite'),
		'section' => 'whitish_lite_custom_header',
		'type' => 'checkbox',
	));

	 //ADD/CHANGE CSS
		$version_wp = get_bloginfo('version');
		if($version_wp < 4.7){
				$wp_customize->add_section( 'whitish_lite_custom_css', array(
					'title' => __('Custom CSS', 'whitish-lite'),
					'priority' => 507,
					'panel' => 'whitish_lite_options_panel'
				));
				$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_custom_css]', array(
					'default' => $whitish_lite_settings['whitish_lite_custom_css'],
					'sanitize_callback' => 'whitish_lite_sanitize_custom_css',
					'type' => 'option',
					)
				);
				$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_custom_css]', array(
					'label' => __('Custom CSS','whitish-lite'),
					'section' => 'whitish_lite_custom_css',
					'type' => 'textarea'
					)
				);
		}
	$wp_customize->add_section('whitish_lite_footer_image', array(
		'title' => __('Footer Options', 'whitish-lite'),
		'priority' => 510,
		'panel' => 'whitish_lite_options_panel'
	));

	$wp_customize->add_setting( 'whitish_lite_theme_options[whitish-lite-img-upload-footer-image]',array(
		'default'	=> $whitish_lite_settings['whitish-lite-img-upload-footer-image'],
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'whitish_lite_sanitize_url',
		'type' => 'option',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'whitish_lite_theme_options[whitish-lite-img-upload-footer-image]', array(
		'label' => __('Footer Background Image','whitish-lite'),
		'description' => __('Image will be displayed on footer','whitish-lite'),
		'priority'	=> 50,
		'section' => 'whitish_lite_footer_image',
		)
	));
?>